Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2022 05:28:45 +0300

> Date: Mon, 15 Aug 2022 19:36:49 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Dmitry Gutov <[email-masked]>, [email-masked], 
>     [email-masked]
> 
> > No, I want a simple variable that just gives the size of the narrowed 
> > region, with nil meaning don't narrow at all.
> >
> 
> FWIW, I strongly object to the addition of such a variable (unless it is 
> clearly stated that it is added temporarily and should not be used except 
> for testing purposes).
> 
> Adding such a variable only two weeks after locked narrowing has been 
> introduced means that modes will have little incentive to adapt to that 
> stronger constraint, if they can "fix" whatever problems that constraint 
> might cause by setting that variable to nil in their initialization hooks.

Modes can do that already by changing long-line-threshold to nil,
don't they?